Subject: Re: Patch: Device operative state notification against 2.5.7

From: Stefan Rompf <[email-masked]>
Date: Tue, 09 Apr 2002 13:28:37 +0200

Hi Jamal,

> [discussion whether IFOP_DOWN_LOWERLAYER should send netlink messages]
> 
> I think they should be accessible; whether you send netlink
> advertisements everytime there is some state transition is the question.

they should. For a routing daemon it is interesting to be notified when
interfaces becomes capable or incapable of handling packets, independant
of the reason. As long as we abstract virtual or subinterfaces as normal
interfaces to the upper layers (which is IMHO the correct decision),
IFOP_DOWN_LOWERLAYER must trigger a notification.

Stefan